aboutsummaryrefslogtreecommitdiffstats
path: root/rpm-local/scripts/install_test_obs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rpm-local/scripts/install_test_obs.sh')
-rwxr-xr-xrpm-local/scripts/install_test_obs.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/rpm-local/scripts/install_test_obs.sh b/rpm-local/scripts/install_test_obs.sh
new file mode 100755
index 0000000..28b66b1
--- /dev/null
+++ b/rpm-local/scripts/install_test_obs.sh
@@ -0,0 +1,19 @@
+#!/bin/sh -ex
+REPO_FILE="home:osmith42.repo"
+
+# Download repo file
+cd /root/yum_repos
+if ! [ -e "$REPO_FILE" ]; then
+ dnf --setopt=keepcache=1 -y install wget
+ wget https://download.opensuse.org/repositories/home:osmith42/CentOS_8_Stream/home:osmith42.repo
+fi
+
+# Enable repo
+cp "/root/yum_repos/$REPO_FILE" "/etc/yum.repos.d/$REPO_FILE"
+
+# update index
+dnf --setopt=keepcache=1 -y check-update /etc/yum.repos.d/$REPO_FILE
+
+# install packages
+# somehow -y is not enough
+yes | dnf --setopt=keepcache=1 -y install osmo-trx-uhd